
QGIS Application - Bug report #2025

QGIS crashes after editing shapefiles w/o dbf file

2009-10-21 12:33 AM - zicke -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12085

Description

1. Load Shapefile

 2. Toggle Editing

 3. Select some features

 4. Merge Selected Features

 5. Toggle Editing -> Save

 6. QGIS crashes

gdb backtrace is attached.

I'm using QGIS 1.4.0-Trunk (code revision 11822).

Associated revisions

Revision 4dd9ac6d - 2009-10-21 01:22 PM - Jürgen Fischer

fix #2025

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11824 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision dc92ab0f - 2009-10-21 01:22 PM - Jürgen Fischer

fix #2025

git-svn-id: http://svn.osgeo.org/qgis/trunk@11824 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-10-21 01:58 AM - Marco Hugentobler

Hm, it works without crash for me here. Could you add a sample dataset and a description which features you select exactly for merging?

From the backtrace, it seems there is an error writing to the dbf file. So I wonder if there is a problem related to the dbf file, e.g. file permission. Please also

report your GDAL version.

Marco

#2 - 2009-10-21 02:58 AM - zicke -
http://svn.osgeo.org/qgis/trunk/qgis@11824
http://svn.osgeo.org/qgis/trunk@11824


It was a dbf file problem since it wasn't existing. QGIS is able to load a shapefile w/o dbf file and it is possible to move vertex points etc. But QGIS crashes

after trying to save the edits.

Stefan

#3 - 2009-10-21 03:03 AM - Giovanni Manghi

Please then consider changing the title of this ticket.

#4 - 2009-10-21 04:22 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:dc92ab0f (SVN r11825): shapes files without DBFs lack the capability [[ChangeAttributeValues]], so the merge tool shouldn't work on

them.

Files

gdb_bt.txt 5.56 KB 2009-10-20 zicke -
